Skip to main content
PUT
/
networks
/
couponcodes
/
{couponCodeId}
Update Coupon Code
curl --request PUT \
  --url https://api.eflow.team/v1/networks/couponcodes/{couponCodeId} \
  --header 'Content-Type: application/json' \
  --header 'X-Eflow-Api-Key: <api-key>' \
  --data '
{
  "coupon_code": "SAVE20",
  "coupon_status": "active",
  "network_offer_id": 1,
  "network_affiliate_id": 7
}
'
{
  "network_coupon_code_id": 3,
  "network_id": 1,
  "network_affiliate_id": 7,
  "network_offer_id": 1,
  "coupon_code": "TESTCC-UPD",
  "coupon_status": "paused",
  "internal_notes": "test note",
  "time_created": 1774725303,
  "time_saved": 1774725327,
  "start_date": "2026-01-01",
  "end_date": "2026-12-31",
  "description": "",
  "is_description_plain_text": false,
  "time_deleted": 0
}

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

couponCodeId
integer
required

The ID of the coupon code you want to update.

Body

application/json
network_offer_id
integer
required

ID of the offer for which the coupon applies.

coupon_code
string
required

Coupon code value.

coupon_status
enum<string>
required

Status of the coupon code. Can be one of the following values: active or paused.

Available options:
active,
paused
network_affiliate_id
integer

ID of the affiliate for which the coupon applies. A coupon code without an affiliate specified can exist but cannot be used.

internal_notes
string

Notes for internal usage -- they will not be visible to the partner.

description
string

A description (either plain text or HTML) that will be visible to the partner.

is_description_plain_text
boolean

Only relevant when a description is provided. Determines if the description is in HTML or plain text format.

start_date
string

An optional date starting at which the coupon code can be used. Use the YYYY-MM-DD format.

end_date
string

An optional date at which the coupon code becomes obsolete. Use the YYYY-MM-DD format.

Response

200 - application/json

Coupon code as returned by create and update endpoints (without relationship data).

network_coupon_code_id
integer

Unique identifier for this coupon code.

network_id
integer

The ID of the network this coupon code belongs to.

network_affiliate_id
integer

ID of the affiliate for which the coupon applies. A coupon code without an affiliate specified can exist but cannot be used.

network_offer_id
integer

ID of the offer for which the coupon applies.

coupon_code
string

Coupon code value.

coupon_status
enum<string>

Status of the coupon code. Can be one of the following values: active or paused.

Available options:
active,
paused
internal_notes
string

Notes for internal usage -- they will not be visible to the partner.

description
string

A description (either plain text or HTML) that will be visible to the partner.

is_description_plain_text
boolean

Only relevant when a description is provided. Determines if the description is in HTML or plain text format.

start_date
string

An optional date starting at which the coupon code can be used. Uses the YYYY-MM-DD format.

end_date
string

An optional date at which the coupon code becomes obsolete. Uses the YYYY-MM-DD format.

time_created
integer

Unix timestamp of when the coupon code was created.

Example:

1734455015

time_saved
integer

Unix timestamp of when the coupon code was last updated.

Example:

1734455015

time_deleted
integer

Unix timestamp of when the coupon code was deleted. 0 if not deleted.

Example:

0